import request from '@/api/request.js'

function orderList(data){
	return request({
		url: '/api/shop/orderList',
		method: 'post',
		data
	})
}
function orderCancel(data){
	return request({
		url: '/api/Shop/orderCancel',
		method: 'post',
		data
	})
}
function orderDetail(data){
	return request({
		url: '/api/Shop/orderDetail',
		method: 'post',
		data
	})
}
function pay(data){
	return request({
		url: '/api/Shop/pay',
		method: 'post',
		data
	})
}
function orderTuikuanSave(data){
	return request({
		url: '/api/Shop/orderTuikuanSave',
		method: 'post',
		data
	})
}
function orderTuihuo(data){
	return request({
		url: '/api/Shop/orderTuihuoSave',
		method: 'post',
		data
	})
} 

function orderPickupSuccess(data){
	return request({
		url: '/api/Shop/orderPickupSuccess',
		method: 'post',
		data
	})
}
function orderOK(data){
	return request({
		url: '/api/Shop/orderOK',
		method: 'post',
		data
	})
}

function kuaididetails(data){
	return request({
		url: '/api/shop/kuaididetails',
		method: 'post',
		data
	})
}
function ordermanagement(data){
	return request({
		url: '/api/buy/ordermanagement',
		method: 'post',
		data
	})
}

function fhshop(data){
	return request({
		url: '/api/buy/fhshop',
		method: 'post',
		data
	})
}
function orderSuccess(data){
	return request({
		url: '/api/buy/orderSuccess',
		method: 'post',
		data
	})
}
function orderrejecttuikuan(data){
	return request({
		url: '/api/buy/orderrejecttuikuan',
		method: 'post',
		data
	})
}
function orderClosePay(data){
	return request({
		url: '/api/buy/orderClosePay',
		method: 'post',
		data
	})
}
function orderrejecttuihuo(data){
	return request({
		url: '/api/buy/orderrejecttuihuo',
		method: 'post',
		data
	})
}
function ordertuihuo(data){
	return request({
		url: '/api/buy/ordertuihuo',
		method: 'post',
		data
	})
}
function weifarmcash(data){
	return request({
		url: '/api/buy/weifarmcash',
		method: 'post',
		data
	})
}
function jiefarmcash(data){
	return request({
		url: '/api/buy/jiefarmcash',
		method: 'post',
		data
	})
}




export default {
	orderList,
	orderCancel,
	orderDetail,
	pay,
	orderTuikuanSave,
	orderTuihuo,
	orderPickupSuccess,
	orderOK,
	kuaididetails,
	ordermanagement,
	fhshop,
	orderSuccess,
	orderrejecttuikuan,
	orderClosePay,
	orderrejecttuihuo,
	ordertuihuo,
	weifarmcash,
	jiefarmcash
	
	
	}